## grip 2.91

=== Makefile ===
# Makefile for Grip and GCD

# Compiler
CC=	gcc

# Install prefix
PREFIX=/usr

# Installation directory -- where the binary will go
INSTALLDIR= $(PREFIX)/bin

# Location to store auxilliary files
AUXDIR= $(PREFIX)/lib/grip


# Compiler flags
CFLAGS=	-Wall `gtk-config --cflags` -DAUXDIR=\"$(AUXDIR)\" \
	-DINSTALLDIR=\"$(INSTALLDIR)\" -D_REENTRANT

# Link libraries
LIBS=	`gtk-config --libs` -lpthread
PARLIBS=	cdparanoia/interface/libcdda_interface.a \
		cdparanoia/paranoia/libcdda_paranoia.a

# This is needed for "make install"
OWNER  = root
GROUP  = root
INSTALL  = /usr/bin/install -o $(OWNER) -g $(GROUP)


# ----------- You shouldn't need to make changes below here. -------------

VERSION= 2.91

OBJS=	cddb.o cd.o bug.o parsecfg.o dialog/input.o dialog/message.o

all: grip gcd

grip:	grip.o $(OBJS) cdpar.o
	$(CC) -o grip grip.o cdpar.o $(OBJS) $(LIBS) $(PARLIBS)

grip.o:	grip.c grip.h
	$(CC) $(CFLAGS) -DCDPAR -c grip.c -o grip.o

gripnopar.o:	grip.c grip.h
	$(CC) $(CFLAGS) -c grip.c -o gripnopar.o

gripnopar:	gripnopar.o $(OBJS)
	$(CC) -o grip gripnopar.o $(OBJS) $(LIBS)

gcd.o:	grip.h grip.c
	$(CC) $(CFLAGS) -DGRIPCD -c grip.c -o gcd.o

gcd:	gcd.o $(OBJS) grip.h
	$(CC) -o gcd gcd.o $(OBJS) $(LIBS)

$(OBJS):	grip.h config.h

grip.1:	grip.pod
	pod2man --section=1 --release="Gtk Applications" --center=" " \
	--official grip.pod > grip.1


install:
	$(INSTALL) -d $(INSTALLDIR)
	$(INSTALL) grip $(INSTALLDIR)
	$(INSTALL) gcd $(INSTALLDIR)
	$(INSTALL) -d $(AUXDIR)
	$(INSTALL) -d $(PREFIX)/man/man1
	$(INSTALL) grip.1 $(PREFIX)/man/man1
	(cd $(PREFIX)/man/man1; ln -sf grip.1 gcd.1)

gcdinstall:
	$(INSTALL) -d $(INSTALLDIR)
	$(INSTALL) gcd $(INSTALLDIR)
	$(INSTALL) -d $(AUXDIR)
	$(INSTALL) -d $(PREFIX)/man/man1
	$(INSTALL) grip.1 $(PREFIX)/man/man1/gcd.1

# Source distribution
srcdist:	grip.1
	-rm -rf grip-$(VERSION)
	-mkdir grip-$(VERSION)
	cp grip.c grip-$(VERSION)
	cp grip.h grip-$(VERSION)
	cp cddb.c grip-$(VERSION)
	cp cd.c grip-$(VERSION)
	cp bug.c grip-$(VERSION)
	cp parsecfg.c grip-$(VERSION)
	cp parsecfg.h grip-$(VERSION)
	cp cdpar.c grip-$(VERSION)
	cp xpm.h grip-$(VERSION)
	cp config.h grip-$(VERSION)
	-mkdir grip-$(VERSION)/dialog
	cp dialog/message.c grip-$(VERSION)/dialog
	cp dialog/input.c grip-$(VERSION)/dialog
	cp dialog/dialog.h grip-$(VERSION)/dialog
	cp README grip-$(VERSION)
	cp CHANGES grip-$(VERSION)
	cp CREDITS grip-$(VERSION)
	cp LICENSE grip-$(VERSION)
	cp TODO grip-$(VERSION)
	cp grip.pod grip-$(VERSION)
	cp grip.1 grip-$(VERSION)
	cp Makefile grip-$(VERSION)
	cp -R pixmaps grip-$(VERSION)
	cp gripicon.tif grip-$(VERSION)
	cp gcdicon.tif grip-$(VERSION)
	cp gripicon.gif grip-$(VERSION)
	cp gcdicon.gif grip-$(VERSION)
	cp grip.spec grip-$(VERSION)
	cp gcd.spec grip-$(VERSION)
	tar -czf grip-$(VERSION).tgz grip-$(VERSION)

pardist: srcdist
	cd cdparanoia && make clean
	cd grip-$(VERSION) && ln -sf ../cdparanoia
	tar -czhf grip-$(VERSION).tgz grip-$(VERSION)
	rm grip-$(VERSION)/cdparanoia

# Redhat RPM for the Grip distribution
rpm:	pardist
	cp grip-$(VERSION).tgz /usr/src/redhat/SOURCES
	cp gripicon.gif /usr/src/redhat/SOURCES
	cp grip.spec grip-$(VERSION).spec
	chown root.root grip-$(VERSION).spec
	rpm -ba grip-$(VERSION).spec

# Redhat RPM for the GCD distribution
gcdrpm:	srcdist
	-rm -rf gcd-$(VERSION)
	-ln -s grip-$(VERSION) gcd-$(VERSION)
	tar -czhf /usr/src/redhat/SOURCES/grip-$(VERSION).tgz gcd-$(VERSION)
	cp gcdicon.gif /usr/src/redhat/SOURCES
	cp gcd.spec gcd-$(VERSION).spec
	chown root.root gcd-$(VERSION).spec
	rpm -ba gcd-$(VERSION).spec

# Tidy up after ourselves
clean:
	-rm -rf grip gcd *.o grip-* gcd-* *~

## grip 4.2.0

=== requirements.txt ===
docopt>=0.6.2
Flask>=0.10.1
Markdown>=2.5.1
path-and-address>=1.0.0
Pygments>=1.6
requests>=2.4.1

=== debian/changelog ===
grip (4.2.0-3) unstable; urgency=medium

  * Document environment variables in the man page (Closes: #827144).

 -- Tiago Ilieve <tiago.myhro@gmail.com>  Sun, 03 Jul 2016 15:52:30 -0300

grip (4.2.0-2) unstable; urgency=medium

  * Bump 'Standards-Version' to 3.9.8 (no changes needed).
  * Install application in a private module directory:
    - Add 'debian/grip.links', linking '/usr/share/grip/run' to
    '/usr/bin/grip'.
    - Remove custom entry point script, dropping 'debian/bin/grip' and
    'debian/grip.install'.
    - Update 'override_dh_auto_install' in 'debian/rules'.

 -- Tiago Ilieve <tiago.myhro@gmail.com>  Thu, 19 May 2016 05:54:06 -0300

grip (4.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Add README.source explaining how to build the package with 'gbp' or
    manually generate an orig tarball from the 'upstream' branch.
  * Bump copyright year for Joe Esposito.
  * Update man page adding new '--no-inline' option.

 -- Tiago Ilieve <tiago.myhro@gmail.com>  Sun, 17 Apr 2016 15:10:29 -0300

grip (4.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #790611)

 -- Tiago Ilieve <tiago.myhro@gmail.com>  Mon, 04 Apr 2016 14:26:23 -0300

=== debian/control ===
Source: grip
Section: utils
Priority: optional
Maintainer: Tiago Ilieve <tiago.myhro@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all,
               python3-docopt,
               python3-flask,
               python3-path-and-address,
               python3-pytest,
               python3-requests,
               python3-responses (>= 0.5.0),
               python3-setuptools
Build-Depends-Indep: txt2man
Standards-Version: 3.9.8
Testsuite: autopkgtest
X-Python-Version: >= 3.3
Homepage: https://github.com/joeyespo/grip
Vcs-Git: https://anonscm.debian.org/git/collab-maint/grip.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/grip.git

Package: grip
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Preview GitHub Markdown files like Readme locally
 Grip is a command-line server application written in Python that uses the
 GitHub markdown API to render a local readme file. The styles come directly
 from GitHub, so you'll know exactly how it will appear. Changes you make to
 the Readme will be instantly reflected in the browser without requiring a page
 refresh.

## grip 4.6.1

=== requirements.txt ===
docopt>=0.4.0
Flask>=0.10.1
Markdown>=2.5.1
path-and-address>=2.0.1
Pygments>=1.6
requests>=2.4.1
Werkzeug>=0.7

=== debian/changelog ===
grip (4.6.1-3) unstable; urgency=medium

  * Team Upload
  * Replace usage of "py.test-3" compat symlink with canonical "pytest"
  * Bump Standards-Version to 4.7.2
  * Drop "Rules-Requires-Root: no": it is the default now
  * Add debian/salsa-ci.yml

 -- Alexandre Detiste <tchet@debian.org>  Tue, 28 Oct 2025 15:30:06 +0100

grip (4.6.1-2) unstable; urgency=medium

  * Drop use of octicons. Closes: #1084212

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 07 Oct 2024 16:23:06 +0200

grip (4.6.1-1) unstable; urgency=medium

  * d/control: Rescue this old package and move it into python-team maintenance.
  * d/watch: modernize
  * New upstream version. Closes: #832000, #1025825, #953967, #1023627, #1023626
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Drop ancient X-Python-Version field (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove unnecessary 'Testsuite: autopkgtest' header.
  * d/upstream/metadata: added
  * d/patches/0001-Support-Werkzeug-3-by-using-a-default-encoding-of-
    UT.patch: cherry-picked from upstream
  * d/control,d/docs/grip.txt: make explicit that all documents are sent
    to GitHub/Microsoft. Closes: #877001
  * d/rules: delete any lingering ".pytest_cache" folders

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 29 Jun 2024 18:10:49 +0200

grip (4.3.2-1) unstable; urgency=medium

  * New upstream release (Closes: #832000).
  * Fix Octicons 'duplicate-font-file' lintian warning (thanks to Dmitry
    Bogatov):
    - Add 'debian/grip.linktrees'.
    - debian/control: add 'dh-linktree' and 'octicons' build dependencies.
    - debian/rules: add 'linktree' helper.

 -- Tiago Ilieve <tiago.myhro@gmail.com>  Fri, 22 Jul 2016 19:18:10 -0300

=== debian/control ===
Source: grip
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-docopt,
               python3-flask,
               python3-path-and-address,
               python3-pytest,
               python3-requests,
               python3-responses,
               python3-setuptools
Build-Depends-Indep: txt2man
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/grip
Vcs-Git: https://salsa.debian.org/python-team/packages/grip.git
Homepage: https://github.com/joeyespo/grip

Package: grip
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Preview GitHub Markdown files like Readme locally
 Grip is a command-line server application written in Python that uses the
 GitHub markdown API to render a local readme file. The styles come directly
 from GitHub, so you'll know exactly how it will appear. Changes you make to
 the Readme will be instantly reflected in the browser without requiring a page
 refresh.
 .
 Privacy notice: by default all documents will be sent to GitHub (Microsoft).

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=grip

export PYBUILD_TEST_PYTEST=1
export PYBUILD_BEFORE_TEST=cp {dir}/README.md {build_dir}
export PYBUILD_AFTER_TEST=rm -f {build_dir}/README.md

# pytest arguments:
#
# '-m "not assumption"' prevents external calls to GitHub API
# 'tests/test_cli.py' are functional tests not run at build time (DEP-8)
export PYBUILD_TEST_ARGS=-m "not assumption" --ignore=tests/test_cli.py


%:
	dh $@ --buildsystem=pybuild


execute_after_dh_auto_build:
	txt2man -s 1 -t grip debian/docs/grip.txt > debian/grip.1

override_dh_auto_install:
	dh_auto_install -- --install-args="--install-lib=/usr/share/grip"
	# Move the entry point script to the application root, otherwise it won't
	# work. A symlink for it in '/usr/bin/grip' will be created.
	mv debian/grip/usr/bin/grip debian/grip/usr/share/grip/run
	find debian -name .pytest_cache | xargs rm -Rf

=== debian/tests/control ===
Test-Command: pytest tests/test_cli.py
Depends: @, python3-pytest
Restrictions: allow-stderr
